WHEREIS(1)

BEZEICHNUNG
whereis - nach der Binärdatei, den Quelltexten und Handbuchseiten eines Befehls suchen

ÜBERSICHT

whereis [Optionen] [-BMS Verzeichnis... -f] Name...

BESCHREIBUNG

whereis findet Quelltexte, Binärdateien und Handbuchseiten für die angegebenen Befehlsnamen. Aus den angegebenen Namen werden zunächst die vorangestellten Bestandteile des Pfadnamens entfernt. Präfixe von s. resultieren aus der Nutzung der Quellcode-Verwaltung, die ebenfalls beachtet wird. whereis versucht dann, anhand einer Liste vorgegebener Orte in einem Linux-System und in den in $PATH und $MANPATH angegebenen Orten das gewünschte Programm zu finden.

Die Eingrenzungen der Suche (mit den Optionen -b, -m und -s) sind kumulativ und gelten für die nachfolgenden Namens-Muster auf der Befehlszeile. Namens-Muster angewendet. Jede neue Eingrenzung der Suche setzt die Suchmaske zurück. Zum Beispiel sucht

    whereis -bm ls tr -m gcc

nach den Binärdateien und Handbuchseiten für »ls« und »tr«, und für »gcc« nur nach Handbuchseiten.

Die Optionen -B, -M und -S setzen die Suchpfade für die nachfolgende Namens-Muster zurück. Zum Beispiel sucht

    whereis -m ls -M /usr/share/man/man1 -f cal

nach Handbuchseiten für »ls« in allen Standardpfaden, aber nach »cal« nur in dem Verzeichnis /usr/share/man/de/man1.

OPTIONEN

-b
    sucht nach Binärdateien.

-m
    sucht nach Handbuchseiten.

-s
    sucht nach Quelltexten.

-u
    sucht nur nach Befehlsnamen mit unüblichen Einträgen. Als unüblich gelten all jene, die nicht einem Eintrag jedes der angeforderten Typen entsprechen. Daher sucht »whereis -m -u *« nach jenen Dateien im aktuellen Verzeichnis, die nicht über eine Dokumentation verfügen oder mehrere Dokumentationen haben.

-B Liste
    grenzt die Orte, an denen whereis nach Binärdateien sucht, auf die durch Leerzeichen getrennte Liste von Verzeichnissen ein.

-M Liste
    grenzt die Orte, an denen whereis nach Handbuchseiten und Dokumentation im Info-Format sucht, auf die durch Leerzeichen getrennte Liste von Verzeichnissen ein.

-S Liste
    grenzt die Orte, an denen whereis nach Quelltexten sucht, auf die durch Leerzeichen getrennte Liste von Verzeichnissen ein.

-f
    beendet die letzte Verzeichnisliste und signalisiert den Beginn von Dateinamen. Dies ist zwingend vorgeschrieben, wenn die Optionen -B, -M oder -S verwendet werden.

-l
    gibt die Liste der von whereis genutzten effektiven Suchpfade aus. Wenn keines von -B, -M oder -S angegeben ist, gibt diese Option fest kodierte Pfade aus, die auf dem System gefunden wurden.

-g
    interpretiert die nächsten Namen als glob(7)-Muster. whereis vergleicht immer nur Dateinamen (d.h. Basisnamen) und niemals vollständige Pfade. Die Verwendung von Verzeichnisnamen im Suchmuster ist wirkungslos. Vergessen Sie nicht, dass die Shell das Muster interpretiert, wenn es in der Befehlszeile nicht maskiert wird. Es ist erforderlich, den Namen in einfache Anführungszeichen zu setzen, zum Beispiel:

        whereis -g 'find*'

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

SUCHPFADE FÜR DATEIEN

In der Voreinstellung versucht whereis nach fest kodierten Pfaden, die mittels Glob-Mustern definiert sind. Der Befehl versucht, Inhalte der Umgebungsvariablen $PATH und $MANPATH als vorgegebene Suchpfade zu verwenden. Der einfachste Weg zum Ermitteln der verwendeten Pfade ist die Option -l. Diese ist mit -B, -M und -S verwendbar.

UMGEBUNGSVARIABLEN

WHEREIS_DEBUG=all
    aktiviert die Debug-Ausgabe.

BEISPIELE

So suchen Sie nach allen Dateien in /usr/bin, für die keine Dokumentation in /usr/man/man1 existiert oder die keine Quelltexte in /usr/src haben:

    cd /usr/bin
    whereis -u -ms -M /usr/man/man1 -S /usr/src -f *

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl whereis ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.